Skip to main content
POST
/
jobs
/
{celery_task_id}
/
terminate
curl -X POST "https://YOUR_BASE_URL/jobs/7f3a1b2c-4d5e-6f7a-8b9c-0d1e2f3a4b5c/terminate" \
  -H "Authorization: Bearer <api-key>" \
  -H "Workspace-Id: <workspace-id>"
{
  "message": "Job terminated successfully"
}
Authorization
string
required
Bearer token. Format: Bearer <api-key>
Workspace-Id
string
required
Your workspace UUID.
celery_task_id
string
required
The Celery task ID of the running job to terminate. Returned by Execute Comparison as celery_task_id.

Response

message
string
Confirmation message indicating the job was terminated.
curl -X POST "https://YOUR_BASE_URL/jobs/7f3a1b2c-4d5e-6f7a-8b9c-0d1e2f3a4b5c/terminate" \
  -H "Authorization: Bearer <api-key>" \
  -H "Workspace-Id: <workspace-id>"
{
  "message": "Job terminated successfully"
}